;InnoSetupVersion=5.2.1

[Setup]
AppName=URLSnooper 2
AppVerName=URL Snooper v2.26.01
AppId=URLSnooper 2
AppPublisher=DonationCoder.com
AppPublisherURL=http://www.donationcoder.com/urlsnooper
AppSupportURL=http://www.donationcoder.com/urlsnooper
AppUpdatesURL=http://www.donationcoder.com/urlsnooper
DefaultDirName={pf}\URLSnooper2
DefaultGroupName=URLSnooper2
OutputBaseFilename=in
Compression=none
AllowNoIcons=yes
InfoBeforeFile=embedded\InfoBefore.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
; Source: "{tmp}\"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
; Source: "{app}\,1"; DestDir: "{app}"; Flags: ignoreversion 
; Source: "{app}\,2"; DestDir: "{app}"; Flags: ignoreversion 
; Source: "{commonappdata}\DonationCoder\DcUpdater\RedirectFiles\"; DestDir: "{commonappdata}\DonationCoder\DcUpdater\RedirectFiles"; Flags: ignoreversion 
; Source: "{app}\,3"; DestDir: "{app}"; Flags: ignoreversion 
; Source: "{app}\,4"; DestDir: "{app}"; Flags: ignoreversion 
; Source: "{app}\,5"; DestDir: "{app}"; Flags: ignoreversion 
; Source: "{app}\,6"; DestDir: "{app}"; Flags: ignoreversion 
; Source: "{app}\,7"; DestDir: "{app}"; Flags: onlyifdoesntexist ignoreversion 
; Source: "{app}\,8"; DestDir: "{app}"; 

[Run]
Filename: "{src}\WinPcap_4_1_1.exe"; StatusMsg: "Launching WinPcap v4.1.1 Installer"; Description: "Launch WinPcap 4.1.1 (for Win Xp/Vista/Win7/etc) Network Sniffing Engine Installer (REQUIRED UNLESS ALREADY INSTALLED)"; Flags: postinstall 
Filename: "{src}\WinPcap_4_0_beta2.exe"; StatusMsg: "Launching WinPcap v4.0b2 Installer"; Description: "Launch WinPcap 4.0b2 (for older Win9x and ME) Network Sniffing Engine Installer (REQUIRED UNLESS ALREADY INSTALLED)"; Flags: postinstall 

[Icons]
Name: "{group}\URLSnooper 2"; Filename: "{app}\URLSnooper.exe"; 
Name: "{group}\URLSnooper 2 - Help File"; Filename: "{app}\URLSnooper.chm"; 
Name: "{group}\URLSnooper 2 - Uninstall"; Filename: "{uninstallexe}"; 
Name: "{group}\Visit URLSnooper Homepage at DonationCoder.com (check for updates)"; Filename: "{app}\Visit Homepage at DonationCoder.com.url"; WorkingDir: "{app}"; 
Name: "{userdesktop}\URLSnooper 2"; Filename: "{app}\URLSnooper.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
